aboutsummaryrefslogtreecommitdiff
path: root/package/foomatic-filters/Config.in
blob: 0571eb94678e1ca6899579edc0f5a3a5355fab17 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
comment "foomatic-filters needs a toolchain w/ threads"
	# because of cups security issues
	depends on BR2_DEPRECATED_SINCE_2015_05
	depends on BR2_PACKAGE_CUPS
	depends on !BR2_TOOLCHAIN_HAS_THREADS

config BR2_PACKAGE_FOOMATIC_FILTERS
	bool "foomatic_filters"
	depends on BR2_PACKAGE_CUPS
	# because of cups security issues
	depends on BR2_DEPRECATED_SINCE_2015_05
	depends on BR2_TOOLCHAIN_HAS_THREADS # libusb
	select BR2_PACKAGE_LIBUSB
	select BR2_PACKAGE_ENSCRIPT
	help
	  Foomatic Filters
	  Foomatic is a database-driven system for integrating free software
	  printer drivers with common spoolers under Unix. It supports CUPS,
	  LPRng, LPD, GNUlpr, Solaris LP, PPR, PDQ, CPS, and direct printing
	  with every free software printer driver known to us and every
	  printer known to work with these drivers.

	  http://www.linuxfoundation.org/collaborate/workgroups/openprinting/database/foomatic